- Main Page
- Packages
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# smjg.libs.sdwf.statusbar.StatusBar Class Reference

The smjg.libs.sdwf.statusbar.StatusBar class interfaces a status bar. More...

Inheritance diagram for smjg.libs.sdwf.statusbar.StatusBar:

List of all members.

## Public Member Functions
| this (FrameWindow parent, int id, int[] pw=null)
| Constructs a StatusBar in a FrameWindow.
override void | create ()
| Creates the control interface element.
Properties
int[] | partWidths ()
| The right edge coordinates of the parts of the status bar.
int[] | partWidths (int[] pw)
| The right edge coordinates of the parts of the status bar.
bool | simple ()
| Whether the status bar is in simple mode.
bool | simple (bool s)
| Whether the status bar is in simple mode.
override char[] | text ()
| The text displayed by this status bar in simple mode.
override string | text (string t)
| The text displayed by this status bar in simple mode.
StatusBarPart | simplePart ()
| The part corresponding to the simple mode of this status bar.
StatusBarPart | simplePart (StatusBarPart sp)
| The part corresponding to the simple mode of this status bar.
StatusBarPart | simplePart (string t)
| Sets the text displayed by this status bar in simple mode.
Operators
StatusBarPart | opIndex (uint index)
| Returns the specified part of the status bar.
StatusBarPart | opIndexAssign (StatusBarPart sp, uint index)
| Sets the specified part of the status bar.
StatusBarPart | opIndexAssign (string t, uint index)
| Sets the text in the specified part of the status bar.
StatusBarPart[] | opSlice (uint begin, uint end)
| Returns a range of parts of the status bar.
StatusBarPart[] | opSlice ()
| Returns an array consisting of this status bar's parts.
## Protected Member Functions
override void | clipClientArea (inout Rect rect)
| Adjusts a rectangle denoting the client area of a window to exclude the area occupied by this bar.

## Detailed Description

The smjg.libs.sdwf.statusbar.StatusBar class interfaces a status bar.

A status bar can be partitioned into several parts, each of which has a separate border and has its text assigned independently of the other parts. There is a toggleable 'simple' mode, in which the status bar displays only one part; the text that a status bar displays in simple mode is assigned independently of the text displayed by the parts when not in simple mode.

Since:
  0.58

## Constructor & Destructor Documentation

smjg.libs.sdwf.statusbar.StatusBar.this | ( | FrameWindow | parent,
|  | int | id,
|  | int[] | pw = `null` |
| ) |  |  |

Constructs a StatusBar in a FrameWindow.

Parameters:

  | parent | the window on which the status bar will be placed.
  | id | numeric ID that the status bar will have.
  | pw | array containing the widths of the status bar parts

Status:
  done

## Member Function Documentation

override void smjg.libs.sdwf.statusbar.StatusBar.create | ( |  | ) | `[virtual]`

Creates the control interface element.

Precondition:
  Must have not already been created.

Status:
  done

Reimplemented from smjg.libs.sdwf.control.Control.

int [] smjg.libs.sdwf.statusbar.StatusBar.partWidths | ( |  | ) |

The right edge coordinates of the parts of the status bar.

int [] smjg.libs.sdwf.statusbar.StatusBar.partWidths | ( | int[] | pw | ) |

The right edge coordinates of the parts of the status bar.

Parameters:

  | p | an array containing the x-coordinate of the right edge of successive parts of the status bar. If a value is -1, then the part extends to the right-hand edge of the window.

Precondition:
  The length of p may not be greater than 255.

Status:
  done

bool smjg.libs.sdwf.statusbar.StatusBar.simple | ( |  | ) |

Whether the status bar is in simple mode.

bool smjg.libs.sdwf.statusbar.StatusBar.simple | ( | bool | s | ) |

Whether the status bar is in simple mode.

Status:
  done

override char [] smjg.libs.sdwf.statusbar.StatusBar.text | ( |  | ) |

The text displayed by this status bar in simple mode.

Reimplemented from smjg.libs.sdwf.windowbase.WindowBase.

override string smjg.libs.sdwf.statusbar.StatusBar.text | ( | string | t | ) |

The text displayed by this status bar in simple mode.

Setting this property automatically activates simple mode.

Reimplemented from smjg.libs.sdwf.windowbase.WindowBase.

StatusBarPart smjg.libs.sdwf.statusbar.StatusBar.simplePart | ( |  | ) |

The part corresponding to the simple mode of this status bar.

Status:
  done

StatusBarPart smjg.libs.sdwf.statusbar.StatusBar.simplePart | ( | StatusBarPart | sp | ) |

The part corresponding to the simple mode of this status bar.

Parameters:

  | sp | a StatusBarPart with the desired style and text.

Returns:
  the part that has been set. This will be either sp or a copy of it, depending on whether sp is already in a status bar.

StatusBarPart smjg.libs.sdwf.statusbar.StatusBar.simplePart | ( | string | t | ) |

Sets the text displayed by this status bar in simple mode.

Returns:
  the part corresponding to the simple mode of this status bar.

StatusBarPart smjg.libs.sdwf.statusbar.StatusBar.opIndex | ( | uint | index | ) |

Returns the specified part of the status bar.

(Implementation of `this[index]`.)

Parameters:

  | index | the zero-based index of the part.

StatusBarPart smjg.libs.sdwf.statusbar.StatusBar.opIndexAssign | ( | StatusBarPart | sp,
|  | uint | index |
| ) |  |  |

Sets the specified part of the status bar.

(Implementation of `this[index] = sp`.)

Parameters:

  | index | the zero-based index of the part.
  | sp | the new contents of the part.

Returns:
  the part that has been set. This will be either sp or a copy of it, depending on whether sp is already in a status bar.

  the part that has been set.

Status:
  done

StatusBarPart smjg.libs.sdwf.statusbar.StatusBar.opIndexAssign | ( | string | t,
|  | uint | index |
| ) |  |  |

Sets the text in the specified part of the status bar.

(Implementation of `this[index] = t`.)

Status:
  done

StatusBarPart [] smjg.libs.sdwf.statusbar.StatusBar.opSlice | ( | uint | begin,
|  | uint | end |
| ) |  |  |

Returns a range of parts of the status bar.

(Implementation of `this[begin..end]`.)

Status:
  done

StatusBarPart [] smjg.libs.sdwf.statusbar.StatusBar.opSlice | ( |  | ) |

Returns an array consisting of this status bar's parts.

(Implementation of `this[]`.)

override void smjg.libs.sdwf.statusbar.StatusBar.clipClientArea | ( | inout Rect | area | ) | `[protected, virtual]`

Adjusts a rectangle denoting the client area of a window to exclude the area occupied by this bar.

Parameters:

  | area | the rectangle to clip.

Implements smjg.libs.sdwf.framewindow.Bar.

The documentation for this class was generated from the following file:

- statusbar.d